# Uses of Interface
org.opensaml.saml.saml2.core.Terminate

Packages that use Terminate
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of Terminate in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return Terminate
Modifier and Type
Method
Description
`Terminate`
ManageNameIDRequest.`getTerminate()`
Get the Terminate of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type Terminate
Modifier and Type
Method
Description
`void`
ManageNameIDRequest.`setTerminate(Terminate newTerminate)`
Set the Terminate of the request.

## Uses of Terminate in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Terminate
Modifier and Type
Class
Description
`class`
`TerminateImpl`
Concrete implementation of `Terminate`.
Fields in org.opensaml.saml.saml2.core.impl declared as Terminate
Modifier and Type
Field
Description
`private Terminate`
ManageNameIDRequestImpl.`terminate`
Terminate child element.
Methods in org.opensaml.saml.saml2.core.impl that return Terminate
Modifier and Type
Method
Description
`Terminate`
TerminateBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Terminate`
TerminateBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Terminate`
ManageNameIDRequestImpl.`getTerminate()`
Get the Terminate of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type Terminate
Modifier and Type
Method
Description
`void`
ManageNameIDRequestImpl.`setTerminate(Terminate newTerminate)`
Set the Terminate of the request.